# target::has-executed

Checks whether the specified target has already been executed.

### Usage

`bool target::has-executed(name)`

### Parameters

Name | Type | Description
--- | --- | ---
name | string | The target to test.

### Return Value

true if the specified target has already been executed; otherwise, false.

### Exceptions

The function will fail in any of the following circumstances:

- Target name does not exist.

### Requirements

Assembly: NAnt.Core (0.90.3780.0)